Bug 6817 - Check and fix missing controlled vocab data for citation assistant
Check and fix missing controlled vocab data for citation assistant
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.3.7
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-10 09:39 PDT by Alec Smecher
Modified: 2012-03-12 12:50 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Calls the DB update script from pkp-lib to add controlled vocabulary entries for citation assistant on OJS install (422 bytes, patch)
2011-09-02 17:49 PDT, Alex Garnett
Details | Diff
DB update script for pkp-lib to add controlled vocabulary entries for citation assistant on OJS install (16.45 KB, patch)
2011-09-02 17:50 PDT, Alex Garnett
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2011-08-10 09:39:30 PDT
See http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=7814 for details.
Comment 1 Alex Garnett 2011-09-02 17:49:57 PDT
Created attachment 3625 [details]
Calls the DB update script from pkp-lib to add controlled vocabulary entries for citation assistant on OJS install

pkp-lib fix attached separately (this doesn't seem ideal -- alec?)
Comment 2 Alex Garnett 2011-09-02 17:50:31 PDT
Created attachment 3626 [details]
DB update script for pkp-lib to add controlled vocabulary entries for citation assistant on OJS install
Comment 3 Alex Garnett 2011-12-05 10:49:34 PST
Need to run "php tools/dbXMLtoSQL.php -data execute lib/pkp/xml/controlledVocabMetadata.xml" to add database entries if OJS has already been installed -- the attached patches are only called on installation.

**Not entirely sure of the difference between -data and -schema arguments for dbXMLtoSQL; this could use a look.
Comment 4 Alec Smecher 2011-12-05 10:57:07 PST
Alex, the -data option is correct in this case. (Note that the attached patches will still need to be applied first.) FYI, -schema is for XML docs with a <schema> root node; -data is for XML docs with a <data> root node.
Comment 5 Alex Garnett 2011-12-05 11:01:04 PST
Thanks. I'd gathered, just wanted a double-check. Glad that this in fact took me all of the five minutes I expected after putting it off so long...
Comment 6 Alec Smecher 2012-03-12 12:45:02 PDT
Add missing controlled vocab data for citation assistant
https://github.com/pkp/pkp-lib/commit/9106d10b3a6a09cb7c2d9e357561d399ff29f0da
Comment 7 Alec Smecher 2012-03-12 12:50:02 PDT
Add missing controlled vocab data for citation assistant
https://github.com/pkp/ojs/commit/be26170e478cb326593252a1fb05484786e8b40a